Package: org.gradle.external.javadoc

## [Java] Interface OptionLessJavadocOptionFileOption<T>

- Represents a Javadoc option.

  Parameters:
    `` - The type which this option represents.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `T` | `getValue()`
    `void` | `setValue(T value)`
    `void` | `write(org.gradle.external.javadoc.internal.JavadocOptionFileWriterContext writerContext)`

- - ### Method Detail

    - #### public T getValue()

    - #### public void setValue(T value)

    - #### public void write(org.gradle.external.javadoc.internal.JavadocOptionFileWriterContext writerContext)